summaryrefslogtreecommitdiffstats
path: root/config/chroot_local-hooks/99-zz-install-ASP-DPKG-hooks
diff options
context:
space:
mode:
Diffstat (limited to 'config/chroot_local-hooks/99-zz-install-ASP-DPKG-hooks')
-rw-r--r--config/chroot_local-hooks/99-zz-install-ASP-DPKG-hooks10
1 files changed, 10 insertions, 0 deletions
diff --git a/config/chroot_local-hooks/99-zz-install-ASP-DPKG-hooks b/config/chroot_local-hooks/99-zz-install-ASP-DPKG-hooks
new file mode 100644
index 0000000..f2d3528
--- /dev/null
+++ b/config/chroot_local-hooks/99-zz-install-ASP-DPKG-hooks
@@ -0,0 +1,10 @@
+#!/bin/sh
+
+set -e
+set -u
+
+cat > /etc/apt/apt.conf.d/80tails-additional-software << EOF
+DPkg::Pre-Install-Pkgs { "/usr/local/sbin/tails-additional-software apt-pre"; };
+DPkg::Post-Invoke { "/usr/local/sbin/tails-additional-software apt-post &"; };
+DPkg::Tools::Options::/usr/local/sbin/tails-additional-software::Version "3";
+EOF